---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::SpinButtonRenderer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1SpinButtonRenderer.html">SpinButtonRenderer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classtgui_1_1SpinButtonRenderer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::SpinButtonRenderer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for tgui::SpinButtonRenderer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classtgui_1_1SpinButtonRenderer.png" usemap="#tgui::SpinButtonRenderer_map" alt=""/>
  <map id="tgui::SpinButtonRenderer_map" name="tgui::SpinButtonRenderer_map">
<area href="classtgui_1_1WidgetRenderer.html" title="Base class for all renderer classes. " alt="tgui::WidgetRenderer" shape="rect" coords="0,0,151,24"/>
<area href="classtgui_1_1WidgetBorders.html" title="Parent class for every widget that has borders. " alt="tgui::WidgetBorders" shape="rect" coords="161,0,312,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7044dea7a7c98315ee0b2866278ff49f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SpinButtonRenderer.html#a7044dea7a7c98315ee0b2866278ff49f">SpinButtonRenderer</a> (<a class="el" href="classtgui_1_1SpinButton.html">SpinButton</a> *spinButton)</td></tr>
<tr class="memdesc:a7044dea7a7c98315ee0b2866278ff49f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a7044dea7a7c98315ee0b2866278ff49f">More...</a><br /></td></tr>
<tr class="separator:a7044dea7a7c98315ee0b2866278ff49f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56334d90476890ab0fa1bc15b673bccb"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SpinButtonRenderer.html#a56334d90476890ab0fa1bc15b673bccb">setProperty</a> (std::string property, const std::string &amp;value) override</td></tr>
<tr class="memdesc:a56334d90476890ab0fa1bc15b673bccb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#a56334d90476890ab0fa1bc15b673bccb">More...</a><br /></td></tr>
<tr class="separator:a56334d90476890ab0fa1bc15b673bccb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec0c64a3440b89fd9a6c5790c2ae4ee8"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SpinButtonRenderer.html#aec0c64a3440b89fd9a6c5790c2ae4ee8">setProperty</a> (std::string property, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;value) override</td></tr>
<tr class="memdesc:aec0c64a3440b89fd9a6c5790c2ae4ee8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#aec0c64a3440b89fd9a6c5790c2ae4ee8">More...</a><br /></td></tr>
<tr class="separator:aec0c64a3440b89fd9a6c5790c2ae4ee8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55bd54bd87fd94049c3c70d2c47d5fc0"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SpinButtonRenderer.html#a55bd54bd87fd94049c3c70d2c47d5fc0">getProperty</a> (std::string property) const  override</td></tr>
<tr class="memdesc:a55bd54bd87fd94049c3c70d2c47d5fc0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the value of a certain property.  <a href="#a55bd54bd87fd94049c3c70d2c47d5fc0">More...</a><br /></td></tr>
<tr class="separator:a55bd54bd87fd94049c3c70d2c47d5fc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a209ff230d4edfa6897127de1d82c9f9f"><td class="memItemLeft" align="right" valign="top">virtual std::map&lt; std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SpinButtonRenderer.html#a209ff230d4edfa6897127de1d82c9f9f">getPropertyValuePairs</a> () const  override</td></tr>
<tr class="memdesc:a209ff230d4edfa6897127de1d82c9f9f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a map with all properties and their values.  <a href="#a209ff230d4edfa6897127de1d82c9f9f">More...</a><br /></td></tr>
<tr class="separator:a209ff230d4edfa6897127de1d82c9f9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebaa7766344f2f5f98eea506b0f024d2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SpinButtonRenderer.html#aebaa7766344f2f5f98eea506b0f024d2">setBackgroundColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:aebaa7766344f2f5f98eea506b0f024d2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the background color of the arrows.  <a href="#aebaa7766344f2f5f98eea506b0f024d2">More...</a><br /></td></tr>
<tr class="separator:aebaa7766344f2f5f98eea506b0f024d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5393efb6acb3de76d6b85a09fe1c4219"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SpinButtonRenderer.html#a5393efb6acb3de76d6b85a09fe1c4219">setBackgroundColorNormal</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a5393efb6acb3de76d6b85a09fe1c4219"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the background color of the arrows in the normal state (mouse not on spin button).  <a href="#a5393efb6acb3de76d6b85a09fe1c4219">More...</a><br /></td></tr>
<tr class="separator:a5393efb6acb3de76d6b85a09fe1c4219"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cb5b84b4e893de20bf0aedb271c8fb1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SpinButtonRenderer.html#a8cb5b84b4e893de20bf0aedb271c8fb1">setBackgroundColorHover</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a8cb5b84b4e893de20bf0aedb271c8fb1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the background color of the arrows in the hover state (mouse standing on top of the spin button).  <a href="#a8cb5b84b4e893de20bf0aedb271c8fb1">More...</a><br /></td></tr>
<tr class="separator:a8cb5b84b4e893de20bf0aedb271c8fb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a223f0029fc520fb7e4ac9df0d551c6d0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SpinButtonRenderer.html#a223f0029fc520fb7e4ac9df0d551c6d0">setArrowColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a223f0029fc520fb7e4ac9df0d551c6d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the arrows.  <a href="#a223f0029fc520fb7e4ac9df0d551c6d0">More...</a><br /></td></tr>
<tr class="separator:a223f0029fc520fb7e4ac9df0d551c6d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38fdc5da8c4d604bfde93e1eaf85da6c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SpinButtonRenderer.html#a38fdc5da8c4d604bfde93e1eaf85da6c">setArrowColorNormal</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a38fdc5da8c4d604bfde93e1eaf85da6c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the arrows in the normal state (mouse not on spin button).  <a href="#a38fdc5da8c4d604bfde93e1eaf85da6c">More...</a><br /></td></tr>
<tr class="separator:a38fdc5da8c4d604bfde93e1eaf85da6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e58f08d098e266a22705903bf53f8a2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SpinButtonRenderer.html#a1e58f08d098e266a22705903bf53f8a2">setArrowColorHover</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a1e58f08d098e266a22705903bf53f8a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the arrows in the hover state (mouse standing on top of the spin button).  <a href="#a1e58f08d098e266a22705903bf53f8a2">More...</a><br /></td></tr>
<tr class="separator:a1e58f08d098e266a22705903bf53f8a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74cddded46b3247ebc7a51a0a3a1dc4f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SpinButtonRenderer.html#a74cddded46b3247ebc7a51a0a3a1dc4f">setBorderColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a74cddded46b3247ebc7a51a0a3a1dc4f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the borders that are optionally drawn around the arrows.  <a href="#a74cddded46b3247ebc7a51a0a3a1dc4f">More...</a><br /></td></tr>
<tr class="separator:a74cddded46b3247ebc7a51a0a3a1dc4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c8a1f84d660a5b3878c09892c328d2f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SpinButtonRenderer.html#a0c8a1f84d660a5b3878c09892c328d2f">setArrowUpTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a0c8a1f84d660a5b3878c09892c328d2f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image that is used as the up arrow.  <a href="#a0c8a1f84d660a5b3878c09892c328d2f">More...</a><br /></td></tr>
<tr class="separator:a0c8a1f84d660a5b3878c09892c328d2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a606cafb594cd08358d193ad09bf2a07b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SpinButtonRenderer.html#a606cafb594cd08358d193ad09bf2a07b">setArrowDownTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a606cafb594cd08358d193ad09bf2a07b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image that is used as the down arrow.  <a href="#a606cafb594cd08358d193ad09bf2a07b">More...</a><br /></td></tr>
<tr class="separator:a606cafb594cd08358d193ad09bf2a07b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9720a9a2c43b3d56ff9d448d4bb1c30d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SpinButtonRenderer.html#a9720a9a2c43b3d56ff9d448d4bb1c30d">setArrowUpHoverTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a9720a9a2c43b3d56ff9d448d4bb1c30d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image that is used as the up arrow when the mouse is on top of this arrow.  <a href="#a9720a9a2c43b3d56ff9d448d4bb1c30d">More...</a><br /></td></tr>
<tr class="separator:a9720a9a2c43b3d56ff9d448d4bb1c30d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d6266dee306e8d17fbea01ba3c81d0d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SpinButtonRenderer.html#a9d6266dee306e8d17fbea01ba3c81d0d">setArrowDownHoverTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a9d6266dee306e8d17fbea01ba3c81d0d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image that is used as the up arrow when the mouse is on top of this arrow.  <a href="#a9d6266dee306e8d17fbea01ba3c81d0d">More...</a><br /></td></tr>
<tr class="separator:a9d6266dee306e8d17fbea01ba3c81d0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac743c5a2cdd948aedf9fa73c6bdccff6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SpinButtonRenderer.html#ac743c5a2cdd948aedf9fa73c6bdccff6">setSpaceBetweenArrows</a> (float space)</td></tr>
<tr class="memdesc:ac743c5a2cdd948aedf9fa73c6bdccff6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the space that is placed between the arrows.  <a href="#ac743c5a2cdd948aedf9fa73c6bdccff6">More...</a><br /></td></tr>
<tr class="separator:ac743c5a2cdd948aedf9fa73c6bdccff6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1WidgetRenderer"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1WidgetRenderer')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1WidgetRenderer.html">tgui::WidgetRenderer</a></td></tr>
<tr class="memitem:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9ffbba1a051a6eaf0e1d069d78377ca"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetRenderer.html#aa9ffbba1a051a6eaf0e1d069d78377ca">~WidgetRenderer</a> ()</td></tr>
<tr class="memdesc:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor. <br /></td></tr>
<tr class="separator:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1WidgetBorders"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1WidgetBorders')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></td></tr>
<tr class="memitem:a75128d6d549e479c4b455afc77a75f9e inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#a75128d6d549e479c4b455afc77a75f9e">setBorders</a> (const <a class="el" href="classtgui_1_1Borders.html">Borders</a> &amp;borders)</td></tr>
<tr class="memdesc:a75128d6d549e479c4b455afc77a75f9e inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#a75128d6d549e479c4b455afc77a75f9e">More...</a><br /></td></tr>
<tr class="separator:a75128d6d549e479c4b455afc77a75f9e inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#a19f9c75a3091e3812a1ed997e4b33260">setBorders</a> (float leftBorder, float topBorder, float rightBorder, float bottomBorder)</td></tr>
<tr class="memdesc:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#a19f9c75a3091e3812a1ed997e4b33260">More...</a><br /></td></tr>
<tr class="separator:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#ab1a3bd4fee10eb2dcab6bce06efcea45">setBorders</a> (float width, float height)</td></tr>
<tr class="memdesc:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#ab1a3bd4fee10eb2dcab6bce06efcea45">More...</a><br /></td></tr>
<tr class="separator:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1Borders.html">Borders</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#a6c42822ce84bce93ff85ef8c9e53bdac">getBorders</a> () const </td></tr>
<tr class="memdesc:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size of the borders as a <a class="el" href="classtgui_1_1Borders.html">tgui::Borders</a>.  <a href="#a6c42822ce84bce93ff85ef8c9e53bdac">More...</a><br /></td></tr>
<tr class="separator:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a7044dea7a7c98315ee0b2866278ff49f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tgui::SpinButtonRenderer::SpinButtonRenderer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classtgui_1_1SpinButton.html">SpinButton</a> *&#160;</td>
          <td class="paramname"><em>spinButton</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">spinButton</td><td>The spin button that is connected to the renderer </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a55bd54bd87fd94049c3c70d2c47d5fc0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> tgui::SpinButtonRenderer::getProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Retrieve the value of a certain property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to retrieve</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The value inside a <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object which you can extract with the correct get function or an <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object with type ObjectConverter::Type::None when the property did not exist. </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#ab3a4389b75c71849e16501209fba5eb9">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a209ff230d4edfa6897127de1d82c9f9f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::map&lt;std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&gt; tgui::SpinButtonRenderer::getPropertyValuePairs </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get a map with all properties and their values. </p>
<dl class="section return"><dt>Returns</dt><dd>Property-value pairs of the renderer </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#a0274cb32222ad685366a0bef4e7d4341">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a223f0029fc520fb7e4ac9df0d551c6d0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::SpinButtonRenderer::setArrowColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the arrows. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New arrow color</td></tr>
  </table>
  </dd>
</dl>
<p>This color will overwrite the color for both normal and hover states.</p>
<p>Note that this color is ignored when an up and down arrow image were set.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1SpinButtonRenderer.html#a38fdc5da8c4d604bfde93e1eaf85da6c" title="Changes the color of the arrows in the normal state (mouse not on spin button). ">setArrowColorNormal</a> </dd>
<dd>
<a class="el" href="classtgui_1_1SpinButtonRenderer.html#a1e58f08d098e266a22705903bf53f8a2" title="Changes the color of the arrows in the hover state (mouse standing on top of the spin button)...">setArrowColorHover</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a1e58f08d098e266a22705903bf53f8a2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::SpinButtonRenderer::setArrowColorHover </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the arrows in the hover state (mouse standing on top of the spin button). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New arrow color</td></tr>
  </table>
  </dd>
</dl>
<p>Note that this color is ignored when an up and down arrow image were set. </p>

</div>
</div>
<a class="anchor" id="a38fdc5da8c4d604bfde93e1eaf85da6c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::SpinButtonRenderer::setArrowColorNormal </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the arrows in the normal state (mouse not on spin button). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New arrow color</td></tr>
  </table>
  </dd>
</dl>
<p>Note that this color is ignored when an up and down arrow image were set. </p>

</div>
</div>
<a class="anchor" id="a9d6266dee306e8d17fbea01ba3c81d0d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::SpinButtonRenderer::setArrowDownHoverTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image that is used as the up arrow when the mouse is on top of this arrow. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new hover arrow texture</td></tr>
  </table>
  </dd>
</dl>
<p>The hover texture is ignored if no normal texture was set. Pass an empty texture to unset the image. </p>

</div>
</div>
<a class="anchor" id="a606cafb594cd08358d193ad09bf2a07b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::SpinButtonRenderer::setArrowDownTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image that is used as the down arrow. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new arrow texture</td></tr>
  </table>
  </dd>
</dl>
<p>When this image and the up image are set, the color properties will be ignored. Pass an empty texture to unset the image, in this case the color properties will be used again. </p>

</div>
</div>
<a class="anchor" id="a9720a9a2c43b3d56ff9d448d4bb1c30d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::SpinButtonRenderer::setArrowUpHoverTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image that is used as the up arrow when the mouse is on top of this arrow. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new hover arrow texture</td></tr>
  </table>
  </dd>
</dl>
<p>The hover texture is ignored if no normal texture was set. Pass an empty texture to unset the image. </p>

</div>
</div>
<a class="anchor" id="a0c8a1f84d660a5b3878c09892c328d2f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::SpinButtonRenderer::setArrowUpTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image that is used as the up arrow. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new arrow texture</td></tr>
  </table>
  </dd>
</dl>
<p>When this image and the down image are set, the color properties will be ignored. Pass an empty texture to unset the image, in this case the color properties will be used again. </p>

</div>
</div>
<a class="anchor" id="aebaa7766344f2f5f98eea506b0f024d2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::SpinButtonRenderer::setBackgroundColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the background color of the arrows. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New background color</td></tr>
  </table>
  </dd>
</dl>
<p>This color will overwrite the color for both normal and hover states.</p>
<p>Note that this color is ignored when an up and down arrow image were set.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1SpinButtonRenderer.html#a5393efb6acb3de76d6b85a09fe1c4219" title="Changes the background color of the arrows in the normal state (mouse not on spin button)...">setBackgroundColorNormal</a> </dd>
<dd>
<a class="el" href="classtgui_1_1SpinButtonRenderer.html#a8cb5b84b4e893de20bf0aedb271c8fb1" title="Changes the background color of the arrows in the hover state (mouse standing on top of the spin butt...">setBackgroundColorHover</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a8cb5b84b4e893de20bf0aedb271c8fb1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::SpinButtonRenderer::setBackgroundColorHover </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the background color of the arrows in the hover state (mouse standing on top of the spin button). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New background color</td></tr>
  </table>
  </dd>
</dl>
<p>Note that this color is ignored when an up and down arrow image were set. </p>

</div>
</div>
<a class="anchor" id="a5393efb6acb3de76d6b85a09fe1c4219"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::SpinButtonRenderer::setBackgroundColorNormal </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the background color of the arrows in the normal state (mouse not on spin button). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New background color</td></tr>
  </table>
  </dd>
</dl>
<p>Note that this color is ignored when an up and down arrow image were set. </p>

</div>
</div>
<a class="anchor" id="a74cddded46b3247ebc7a51a0a3a1dc4f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::SpinButtonRenderer::setBorderColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the borders that are optionally drawn around the arrows. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New border color </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a56334d90476890ab0fa1bc15b673bccb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::SpinButtonRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new serialized value that you like to assign to the property</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when deserialization fails or when the widget does not have this property. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#abf82fb602dd7bd1e2b212b6fc2da9d99">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="aec0c64a3440b89fd9a6c5790c2ae4ee8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::SpinButtonRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new value that you like to assign to the property. The <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> is implicitly constructed from the possible value types.</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>for unknown properties or when value was of a wrong type. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#a0c7e95e9887a866e39da0038ea198970">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="ac743c5a2cdd948aedf9fa73c6bdccff6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::SpinButtonRenderer::setSpaceBetweenArrows </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>space</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the space that is placed between the arrows. </p>
<p>This space will use the BorderColor as color.</p>
<p>When images are used, this space is scaled together with the size of the images</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">space</td><td>New space between the arrows </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/Widgets/<a class="el" href="SpinButton_8hpp_source.html">SpinButton.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:45 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
